// 
// File.h
//
#ifndef FILE_IS_IN
#define FILE_IS_IN

#include "URL.h"

class Password;

class File {
  public:
    typedef enum { HTML, JPEG, GIF, CGI, REF, MAIL, 
                   BAD, UNKNOWN } FileType;

  private:
    URL *url;
    FileType theType;

  public:
    File( URL *u );
    File( File *f );
    ~File();
    URL *TheURL( void ) const { return url; }
    void Retrieve( int depth, char *save, Password *passwd = 0 ); 
    FileType Type( void ) const { return theType; }
};

#endif
 
